<?php
$Permissoes = User::getUser(true);
if(!$Permissoes){
	User::blockAction("Você não tem permissão para acessar esta tela");
}
class BairrosController extends GxController {

	var $help = 'Cadastro dos bairros. ';

	public function actionView($id) {
		$this->render('view', array(
			'model' => $this->loadModel($id, 'Bairros'),
		));
	}

	public function actionCreate() {
		$model = new Bairros;


		if (isset($_POST['Bairros'])) {
			$model->setAttributes($_POST['Bairros']);

			if ($model->save()) {
				if (Yii::app()->getRequest()->getIsAjaxRequest())
					Yii::app()->end();
				else
					$this->redirect(array('view', 'id' => $model->BAI_IDBAIRRO));
			}
		}

		$this->render('create', array( 'model' => $model));
	}

	public function actionUpdate($id) {
		$model = $this->loadModel($id, 'Bairros');


		if (isset($_POST['Bairros'])) {
			$model->setAttributes($_POST['Bairros']);

			if ($model->save()) {
				$this->redirect(array('view', 'id' => $model->BAI_IDBAIRRO));
			}
		}

		$this->render('update', array(
				'model' => $model,
				));
	}

	public function actionDelete($id) {
		if (Yii::app()->getRequest()->getIsPostRequest()) {
			$this->loadModel($id, 'Bairros')->delete();

			if (!Yii::app()->getRequest()->getIsAjaxRequest())
				$this->redirect(array('admin'));
		} else
			throw new CHttpException(400, 'Sua solicitação é inválida.');
	}

	public function actionAdmin() {
		$model = new Bairros('search');
		$model->unsetAttributes();

		if (isset($_GET['Bairros']))
			$model->setAttributes($_GET['Bairros']);

		$this->render('admin', array(
			'model' => $model,
		));
	}

	public function beforerender($View) {
		if(User::getUser()->FUN_TBL_BAIRROS != 1) {
        	throw new CHttpException(403, "Você não tem permissão para acessar esta página");
		}
        return true;
    }

}